/*reset*/
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font: 1.6rem 'Inter', sans-serif;
    margin: 0;
    text-transform: capitalize;
    background: #111;
    -webkit-text-size-adjust: 100%;
}

h1,
h2,
h3,
p,
figure,
ul,
ol,
section,
address {
    font-style: normal;
    margin: 0;
    padding: 0;
    list-style: none;
}

a,
abbr {
    text-decoration: none;
}

h1,
h2,
h3 {
    font-weight: 700;
}

a,
button {
    text-decoration: none;
    padding: 0;
    border: 0;
}

/* scroll bars */
*::-webkit-scrollbar {
    width: 0;
}

*::-webkit-scrollbar-thumb {
    background-color: #222;
}

* {
    box-sizing: border-box;
}

header {
    display: block;
    width: 100%;
    height: 100vh;
    background: url(../assets/screen.png) no-repeat center center / cover;
    text-align: center;
    background-size: 160rem;
    font-size: 2.6rem;
    animation: 2.5s linear 1s infinite alternate slidein;
}

@keyframes slidein {
    from {
        /* pushes the sun down past the viewport */
        background-size: 100%;
    }

    to {
        /* returns the sun to its default position */
        background-size: 120%;
    }
}

header h1 {
    position: relative;
    top: 30%;
    font-size: 8rem;
    font-weight: 900;
    background: linear-gradient(135deg, hsla(0, 0%, 100%, 0) 56%, #ffdcd1 98%), linear-gradient(25deg, #f9e1ff 23%, #fff 60%);
    background-clip: border-box, border-box;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

header nav {
    padding-top: 1.5rem;
    position: relative;
    z-index: 2;
}

header nav ul {
    padding-top: 2rem;
    max-width: 100rem;
    margin: 0 auto;
}

header nav ul li {
    display: inline-block;
    text-align: center;
    font-size: 1.6rem;

}

header nav ul li a {
    display: block;
    width: 100%;
    border-radius: .5rem;
    padding: 1.5rem;
    color: #fff;
    transition: all 500ms ease-in-out;
}

header nav ul li:hover a {
    background-color: #2f35cb;
    color: #fff;
}

html body header#particles-js canvas.particles-js-canvas-el {
    top: 0;
    left: 0;
    z-index: 0;
    position: absolute;
}

main {
    color: #fff;
}

main section {
    font-size: 1.8rem;
    display: block;
    min-height: 90vh;
    margin: 4rem auto;
    max-width: 130rem;
    border-radius: .5rem;


}

main section:nth-child(4) {
    animation: 10s linear 5s infinite alternate slidein2;
}

main section:nth-child(3) {
    animation: 5s linear 2s infinite alternate slidein3;
}

@keyframes slidein2 {
    from {
        /* pushes the sun down past the viewport */
        background-size: 130rem;
        background-position: top;
    }

    to {
        /* returns the sun to its default position */
        background-size: 120rem;
        background-position: bottom;
    }
}

@keyframes slidein3 {
    from {
        background-position: top;
        background-size: 80rem;
    }

    to {
        background-position: bottom;
        background-size: 10 0rem;
    }
}

main section h2 {
    font-size: 8rem;
    margin: 0 auto;
    color: #ffffff;
    padding: 2rem 0;
}

main section p {
    margin: 2rem 1rem;
    padding: 3rem;
    backdrop-filter: blur(25px);

    background-color: rgba(23, 23, 23, 0.5);
    border-radius: 12px;
    border: 1px solid rgba(255, 255, 255, 0.125);
    transition: all .5s ease-in-out;
}

main section:nth-child(1) p:hover,
main section:nth-child(3) ul li:hover {
    background-color: rgba(47, 47, 47, 0.5);
    will-change: transform;
    transform: translate3d(1.0038em, 0px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg);
    transform-style: preserve-3d;
}

main section p span {
    color: #868686;
}

main section:nth-child(1) {
    background: url(../assets/screen2.png) no-repeat center center;
    background-size: 100rem;
}

main section:nth-child(3) {
    background: url(../assets/screen4.png) no-repeat center center;
    background-size: 100rem;
}

main section:nth-child(4) {
    background: url(../assets/screen3.png) no-repeat center center;
    background-size: 90rem;
}

main section:nth-child(2) ul {
    margin: 0.5rem;
    padding: 1rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    align-content: center;


}

main section:nth-child(3) ul li p {
    padding: 1rem 0;
    margin: 1rem auto;
    background: none;
    border: none;
    backdrop-filter: none;

}

main section:nth-child(3) ul h3 time {
    color: #868686;
}

main section:nth-child(3) {
    width: 100%;


}

main section:nth-child(3) ul li {
    margin: 1rem;
    padding: 3rem 4rem;
    text-align: left;
    background-color: #171717;
    border-radius: 1rem;
    min-height: 20rem;
    backdrop-filter: blur(25px);
    background-color: rgba(23, 23, 23, 0.5);
    border: 1px solid rgba(255, 255, 255, 0.125);
    transition: all .5s ease-in-out;
}

main section:nth-child(4) ul {
    display: flex;
    align-items: center;
    gap: 1rem;
    overflow: auto;
    scrollbar-width: thin;
}

main section:nth-child(4) ul li p {
    padding: 2rem;
}

main section:nth-child(4) ul li {
    min-width: 60rem;
    max-height: 60rem;
    margin: 2rem auto;
    overflow: auto;
    background-color: #171717;
    padding: 1rem;
    backdrop-filter: blur(25px);
    background-color: rgba(23, 23, 23, 0.5);
    border-radius: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.125);
    transition: all .5s ease-in-out;
}

main section:nth-child(4) ul li:hover {
    background-color: rgba(47, 47, 47, 0.5);
}

main section:nth-child(4) ul li img {
    display: block;
    width: 100%;
    object-fit: contain;
    max-height: 25rem;
    border-radius: 1.25rem;
    margin: 1rem auto;

}

main section:nth-child(4) ul li .skill-repo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0rem auto;
    padding: 0 1rem;
}

main section:nth-child(4) ul li .skill-repo a {
    color: #ffffff;
    display: inline-block;
    vertical-align: middle;
    border: solid .2rem #fff;
    padding: 1rem;
    border-radius: .5rem;
    text-align: center;
}

main section:nth-child(4) ul li .skill-repo ul {
    display: flex;
}

main section:nth-child(4) ul li .skill-repo ul li {
    min-width: inherit;
    height: inherit;
    margin: 0;
}

main section:nth-child(4) ul li .skill-repo img {
    width: 4rem;
    height: 4rem;
    object-fit: contain;
    margin: 0 auto;
    border-radius: .5rem;
    transition: all .5s ease-in-out;
}


main section:nth-child(4) ul li h3 {
    font-size: 3rem;
    background-color: #111111a1;
    border-radius: 1.25rem;
    padding: 2rem 4rem;

}

main section:nth-child(5) ul {
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(3, 1fr);
}

main section:nth-child(5) ul li {
    width: 100%;
    display: flex;
    position: relative;
}

main section:nth-child(5) ul li h3 {
    position: absolute;
    top: 2rem;
    background-color: #2c2c2cc4;
    left: 1rem;
    border-radius: 1.25rem 0 1.25rem 0;
    padding: 2rem 4rem;

}

.agrandissement {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.8);
    /* Fond semi-transparent */
    display: flex;
    align-items: center;
    justify-content: center;
}

.agrandissement img {
    max-width: 90vw;
    /* Ajustez la largeur de l'image agrandie selon vos besoins */
    max-height: 90vh;
    /* Ajustez la hauteur de l'image agrandie selon vos besoins */
    object-fit: scale-down;
    border: solid .2rem #fff;
    border-radius: .5rem;
}

.agrandissement button {
    position: absolute;
    top: 1rem;
    right: 1rem;
    padding: 1rem 1.5rem;
    border-radius: .5rem;
    background-color: #fff;
    /* Couleur de fond du bouton */
    color: #000;
    /* Couleur du texte du bouton */
    border: none;
    cursor: pointer;
    font-size: 2rem;
}

main section:nth-child(5) ul li p {
    position: absolute;
    bottom: 0;
    right: 0;
    border-radius: .25rem;
    padding: 1rem 2rem;
}

main section:nth-child(5) ul li img {
    display: block;
    width: 100%;
    object-fit: cover;
    max-height: 25rem;
    height: auto;
    border-radius: 1.25rem;
    cursor: pointer;
    margin: 1rem auto;
}

main section:nth-child(2) ul li img {
    max-width: 10rem;
    margin: 0 auto;
    border-radius: .5rem;
    object-fit: contain;
    transition-duration: .6s;
}

main section ul li {
    margin: 0 auto;
    text-align: center;
    padding: 1rem;
}

.webgl {
    outline: none;
    max-width: 50rem;
    max-height: 40rem;
}


.none {
    border: solid 0rem;
}

footer {
    text-align: center;
    background-color: #111;
    color: #fff;
    font-size: 1.6rem;
    padding: 4rem;
}

footer h2 {
    font-size: 7rem;
    text-align: start;
}

footer address ul {
    padding: 5rem;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

footer address ul li {
    padding: 3rem 5rem;
    margin: 1rem;
    border-radius: 1rem;
    font-weight: bold;
    background-color: #171717;
    transition: all 300ms ease-in-out;
}

footer address ul li:hover {
    transform: scale(1.1);
}

footer button {
    border: solid .2rem #fff;
    color: #fff;
    background-color: #111;
    background-color: none;
    border-radius: 1rem;
    font-size: 1.6rem;
    padding: 1.5rem 3rem;
    font-weight: 600;
    border-radius: .5rem;
    cursor: pointer;
    transition: all 500ms ease-in-out;
    margin-bottom: 2rem;
}

footer button:hover {
    background-color: #ffffff;
    color: #000;
}

footer a {
    cursor: pointer;
    color: #fff;
    font-style: none;
    text-decoration: none;
}

footer button a:hover {
    color: #000;
}

/* .veille img{
    z-index: -1;
    width: 100%;
    height: 80vh;
}
.veille{
    height: 80vh;
}
.veille h1{
    top: -50%;
}
.veille_tech img{
    display: block;
    margin: 0 auto;
    max-width: 80%;
    max-height: 100%;

}
.veille_tech a{
    color: #fff;
    text-align: center;
    display: block;
    margin: 0 auto;
    text-decoration: underline;
    padding: 1rem;
}
.veille_tech h4{
    text-align: center;
    color: #fff;

} */
a:visited {
    color: #fff;
}

#skills_section .section_title {
    color: var(--black_title);
}

#skills_section .skills_content {
    display: flex;
    width: 100%;
}

#skills_section .box {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: start;
    backdrop-filter: blur(25px);

    background-color: rgba(23, 23, 23, 0.5);
    border: 1px solid rgba(255, 255, 255, 0.125);
    filter: drop-shadow(0px 0px 10px rgba(28, 28, 51, 0.15));
    border-radius: .5rem;
}

#skills_section .box .menu {
    height: 100%;
    max-height: 575px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    background: rgb(24, 24, 24);
}

#skills_section .box .menu .selector {
    z-index: 2;
    width: 24rem;
    transition: 0.2s;
    position: absolute;

    backdrop-filter: blur(25px) saturate(200%);
    background-color: rgba(23, 23, 23, 0.5);
    border: 1px solid rgba(255, 255, 255, 0.125);
    filter: drop-shadow(0px 0px 10px rgba(28, 28, 51, 0.15));
    background-color: #111;
}


#skills_section .box .menu .category {
    width: 280px;
    z-index: 3;
    border-radius: 20px;
    white-space: nowrap;
    padding: 30px 40px 30px 0px;
    margin-right: -40px;
    color: #fff;
    text-align: center;
    cursor: pointer;
}

#skills_section .box .box_content {
    width: 100%;
    min-height: 475px;
    border-radius: 20px;
    padding: 50px 60px 50px 60px;
}

@-webkit-keyframes enter_anim {
    from {
        transform: translateY(25px);
        opacity: 0;
    }

    to {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes enter_anim {
    from {
        transform: translateY(25px);
        opacity: 0;
    }

    to {
        transform: translateY(0px);
        opacity: 1;
    }
}

#skills_section .box .box_content .skills_list {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fill, 100px);
    justify-content: space-between;
    flex-wrap: wrap;
    grid-gap: 50px;
    opacity: 0;
    transform: translateY(25px);
    -webkit-animation: enter_anim 0.5s ease 1 forwards;
    animation: enter_anim 0.5s ease 1 forwards;
}

#skills_section .box .box_content .skills_list .skill {
    height: 125px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 100px;
    text-decoration: none;
}

#skills_section .box .box_content .skills_list .skill img {
    width: 95px;
    height: 95px;
    transform: scale(0.88);
    transition: transform 0.3s ease-in-out;
}

#skills_section .box .box_content .skills_list .skill:hover img {
    transform: scale(1);
}

#skills_section .box .box_content .skills_list .skill span {
    text-align: center;
    color: #fff;
}

#skills_section .box .category_title {
    white-space: nowrap;
    margin: 0px 0px -50px 0px;
    font-size: 22px;
    margin-bottom: -40px;
    color: #fff;
}

@media screen and (max-width: 930px) {
    #skills_section .box {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 70px;
        min-height: 0px;
    }

    #skills_section .box .box_content {
        min-height: 0px;
        width: calc(100% - 100px);
        padding: 50px 50px 50px 50px;
        min-width: 230px;
    }

    #skills_section .box .box_content .skills_list {
        grid-gap: 25px;
    }

    @media screen and (max-width: 565px) {
        #skills_section .box .box_content .skills_list {
            justify-content: space-around;
        }
    }

    @media screen and (max-width: 500px) {
        #skills_section .box .box_content .skills_list {
            justify-content: space-between;
        }

        #skills_section .box .box_content {
            width: calc(100% - 50px);
            padding: 0px 25px 0px 25px;
        }

        #skills_section .box .box_content:last-child {
            padding: 0px 25px 40px 25px;

        }

        @media screen and (max-width: 465px) {
            #skills_section .box .box_content .skills_list {
                justify-content: space-around;
            }
        }
    }


    @media screen and (max-width: 60rem) {
        header {
            height: 90vh;

        }

        #skills_section .box .category_title:first-child {
            margin-top: 5rem;
        }

        #skills_section .box .category_title {
            margin: 0;
        }

        header h1 {
            top: 15%;
            font-size: 4rem;
        }

        main section {
            padding: 1rem;
        }

        main section h2 {
            font-size: 14vw;
        }

        main section:nth-child(4) ul,
        main section:nth-child(5) ul {
            display: grid;
            gap: 1rem;
            grid-template-columns: repeat(1, 1fr);
        }

        main section:nth-child(5) ul li img {
            max-height: 17rem;
        }

        main section:nth-child(4) ul li {
            max-width: 36rem;
            min-width: inherit;
        }

        footer {
            padding: 1rem;
        }

        footer address ul {
            padding: 0rem;
            display: grid;
            grid-template-columns: repeat(1, 1fr);
        }
    }
}